org.apache.commons.math3.analysis

## Interface DifferentiableMultivariateFunction

- All Superinterfaces:
    MultivariateFunction

  Deprecated.
  as of 3.1 replaced by `MultivariateDifferentiableFunction`

      @Deprecated
      public interface DifferentiableMultivariateFunction
      extends MultivariateFunction

  Extension of `MultivariateFunction` representing a differentiable multivariate real function.
  Since:
    2.0
  Version:
    $Id: DifferentiableMultivariateFunction.java 1415149 2012-11-29 13:12:55Z erans $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultivariateVectorFunction` | `gradient()` Deprecated. Returns the gradient function.
    `MultivariateFunction` | `partialDerivative(int k)` Deprecated. Returns the partial derivative of the function with respect to a point coordinate.

    - ### Methods inherited from interface org.apache.commons.math3.analysis.MultivariateFunction

      `value`

- - ### Method Detail

    - #### partialDerivative

          MultivariateFunction partialDerivative(int k)

      Deprecated.
      Returns the partial derivative of the function with respect to a point coordinate.

      The partial derivative is defined with respect to point coordinate xk. If the partial derivatives with respect to all coordinates are needed, it may be more efficient to use the `gradient()` method which will compute them all at once.

      Parameters:
        `k` - index of the coordinate with respect to which the partial derivative is computed
      Returns:
        the partial derivative function with respect to kth point coordinate

    - #### gradient

          MultivariateVectorFunction gradient()

      Deprecated.
      Returns the gradient function.

      If only one partial derivative with respect to a specific coordinate is needed, it may be more efficient to use the `partialDerivative(int)` method which will compute only the specified component.

      Returns:
        the gradient function

Copyright (c) 2003-2013 Apache Software Foundation